Subject: Re: [OOPS] hugetlbfs tests with 2.6.30-rc8-git1

From: Sachin Sant <[email-masked]>
Date: Fri, 05 Jun 2009 21:18:50 +0530

Mel Gorman wrote:
> That patch fixes a different problem. The assertion shouldn't have been
> made for hugetlbfs regions. I can only assume we are not triggering the
> same problem.  According to your .config, DEBUG_VM is not even set so
> this is some other problem.
>
> Do you know what line triggered the problem? Eric Munson is currently
> investigating this as I'm chasing down another bug but my understanding is that
> right now he can't reproduce the problem. How reproducible is this for you?
I cannot recreate this consistently. Sometimes i am able to recreate , 
but it's random. I have
seen this problem on 2 out of 4 power boxes.

Here are last few lines from the hugetlbfs test run.

get_huge_pages (32):	PASS
get_huge_pages (64):	PASS
quota (32):	PASS
quota (64):	PASS
counters (32):	PASS
counters (64):	PASS
mmap-gettest 10 20 (32):	PASS
mmap-gettest 10 20 (64):	PASS
mmap-cow 19 20 (32):	PASS
mmap-cow 19 20 (64):	PASS
set shmmax limit to 335544320
shm-fork 10 10 (32):	PASS
shm-fork 10 10 (64):	PASS
shm-fork 10 20 (32):	

shm-fork was executed when the oops occurred.

Thanks
-Sachin

-- 

---------------------------------
Sachin Sant
IBM Linux Technology Center
India Systems and Technology Labs
Bangalore, India
---------------------------------